Specify a valid MIME type, encryption, and whether to sign the UserSession.putFile.

### Hierarchy

- PutFileOptions

## Index

### Properties

- contentType
- encrypt
- sign

## Properties

### Optional contentType

contentType: string

- Defined in storage/index.ts:46

Set a Content-Type header for unencrypted data.

### Optional encrypt

encrypt: boolean | string

- Defined in storage/index.ts:36

Encrypt the data with the app public key. If a string is specified, it is used as the public key. If the boolean `true` is specified then the current user's app public key is used.

default

  true

### Optional sign

sign: boolean | string

- Defined in storage/index.ts:42

Sign the data using ECDSA on SHA256 hashes with the user's app private key. If a string is specified, it is used as the private key.

default

  false

Generated using TypeDoc